FR EN ES
FR EN ES

Forum Ankama

Naviguer dans les forums 
Trackers Ankama

[CLOS] Via l'ankama launcher: Adobe Air et Java JDK8 manquant au lancement des jeux.

Par rolexnoir 12 Août 2019 - 18:34:39
AnkaTracker

Salut ! 
Alors je joue à dofus sans aucun problème sur mon macbook pro de 2013 dont voici les caractéristiques principales :

[/url][/img]Mais impossible de lancer dofus via le nouveau launcher d'ankama, j'ai ce message au lancement :


J'en profite aussi pour dire qu'il m'est impossible de lancer wakfu, que cela soit par le launcher habituel ou le nouveau d'ankama, j'ai, par exemple, ce message : 




Je ne comprend pas le problème, j'ai bien installé les dernières mises à jour de java et suivis les instructions. 
D'autant plus que je rappel que je peut lancer dofus sans aucun soucis depuis l'ancien launcher et que je jouais à wakfu sans problème l'année dernière, j'ai arrêté justement à cause de ce problème. 

0 0
Première intervention Ankama

Bonjour,
Concernant WAKFU

Pour les utilisateur Mac et linux, la version de java n'est pas embarquée dans le jeu. On vous conseille de récupérer la version disponible ici :

https://adoptopenjdk.net/installation.html?variant=openjdk11&jvmVariant=hotspot#x64_linux-jdk
C'est la version utilisée par l'équipe wakfu.

Il se peut que la commande linux fonctionne mais n'active pas votre version de java auquel cas il faut forcer son utilisation avec la commande : sudo update-alternatives --config java

En espérant que cela va vous aider. 

Voir le message dans son contexte
Réactions 15
Score : 342

'lut,
pour wakfu et la version de java, tu as bien installé la version 8 ?

Pour Dofus le seul truc que je sais c'est que sur GNU/Linux il faut
wine car c'est un executable windows qu'on télécharge (donc Dofus m'est
interdit :p )

- Kaihe -
le mendiant Lan, Lan le magnifique,
le banni du temple du 36ème Tonneau

1 0
Score : 101

Salut, le message d'erreur produit par macOS signale qu'il faut en réalité la version JDK et non JRE, que tu as probablement installé. C'est ce qui est expliqué dans le lien partagé par Lan le magnifique.

Par contre, je souhaite signaler à Ankama qu'il faut maintenant un compte chez Oracle, sans quoi nous ne pouvons pas télécharger JDK 8. Est-ce qu'il y aurait la possibilité de faire en sorte que JRE suffise, ou mieux encore, utiliser la version 12 ? Si ce n'est pas possible, ça serait chouette d'inclure la JDK lorsqu'on installe Wakfu avec votre laucher biggrin

Pour Dofus, as-tu téléchargé la dernière version d'Adobe Air ? Tu peux la récupérer ici.

1 0
Score : 342

'lut,
Openjdk n'est pas dispo sur mac ?

- Kaihe -
le mendiant Lan, Lan le magnifique,
le banni du temple du 36ème Tonneau

Edit: ça semble encore possible via adoptopenjdk,

https://adoptopenjdk.net/releases.html
 
Edit2: mais yep, une option pour avoir java
embarqué ce serait mieux en effet.

0 0

Bonjour,

En effet CJoeni à très bien répondu a ton souci, les messages d'erreurs ont l'air assez clair, il te faut adobe Air pour Dofus et Java JDK 8 pour wakfu.

M'occupant uniquement du launcher, je vais devoir clore ce ticket, mais je transmet ta requête auprès des dev Wakfu pour savoir s'il est envisageable de passer sur une JRE ou d'embarquer directement la version au jeu.

[EDIT] J'ai eu la réponse de l'équipe Wakfu : 
- La version JDK est indispensable et ne peut pas être remplacée par une JRE, vous devez malheureusement avoir un compte Eclipse.
- Il est impossible d'embarquer JAVA dans le jeu, si tous les jeux faisait ainsi, vous auriez 10 JAVA installés et perdrait une place considérable sur votre ordinateur. 

Score : 342

'lut,
c'est déjà le cas avec l'updater wakfu actuel, en
option, alors pourquoi pas pour le launcher ?

- Kaihe -
le mendiant Lan, Lan le magnifique,
le banni du temple du 36ème Tonneau

0 0

Bonjour,
Au tout début du Launcher ajouter l'option proposée actuellement avait été refusée, pour des contrainte techniques et le (peu de) bénéfice apporté.
J'ai été me renseigner auprès des dev Wakfu et il semblerait que la version de windows embarque automatiquement la version de Java tandis que celles pour MAC et Linux ne l'ont pas.
C'est un choix assez étrange qui à été fait là, mais maintenant vous êtes au courant.

J'ai ajouté une tache coté Launcher pour estimer le coût d'une option similaire à celle de l'updater. 

Score : 342

'lut,
et en tout cas merci pour ces retours.
Donc même en étant un pandawa optimiste et voyant le tonneau à moitié plein, c'est pas gagné hein ?

- Kaihe -
le mendiant Lan, Lan le magnifique,
le banni du temple du 36ème Tonneau

0 0
Score : 56

J'essaie ce que vous m'avez dit et je retente. 
Est-ce que je dois désinstaller ma version de java avant d'installer la nouvelle où le launcher va automatiquement chercher la bonne ? 

EDIT : J'ai installé la version de java comme indiquée dans ce lien (en faisant au passage un compte oracle). Et rien toujours ce même message pour dofus. 
Ceci m'embête beaucoup puisque je sais qu'à terme il deviendra obligatoire de passer par le launcher ankama, ce qui risque de m'empêcher définitivement de jouer à dofus sur mac.

EDIT 2 : Après installation toujours rien. Impossible de lancez dofus via l'ankama launcher (alors que cela fonctionne avec l'ancien launcher). Merci de ne pas clore un sujet non résolut 

0 0
Score : 342

'lut,
pour Dofus ça ne serait pas plutôt
Adaube.. hum, Adobe air (un truc dans l'genre) ?

- Kaihe -
le mendiant Lan, Lan le magnifique,
le banni du temple du 36ème Tonneau

1 0

Bonjour,
Concernant WAKFU

Pour les utilisateur Mac et linux, la version de java n'est pas embarquée dans le jeu. On vous conseille de récupérer la version disponible ici :

https://adoptopenjdk.net/installation.html?variant=openjdk11&jvmVariant=hotspot#x64_linux-jdk
C'est la version utilisée par l'équipe wakfu.

Il se peut que la commande linux fonctionne mais n'active pas votre version de java auquel cas il faut forcer son utilisation avec la commande : sudo update-alternatives --config java

En espérant que cela va vous aider. 

Score : 56

Toujours aucun résultats que cela soit sur wakfu (qui ne se lance même plus même via son propre launcher) que dofus.

Désolé mais je ne suis programmeur. J'ai pas a bidouiller à l'aveugle dans les paramètres de mon ordi pour avoir accès à un jeu tout publique. 
J'ai pas le temps et je n'ai AUCUNE compétence dans ce domaine. 
C'est aux devs de fournir un launcher universel. 

2 -1
Réagir à ce sujet